<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database Class
Members See Also

A class representing a Berkeley DB database, a base class for access method specific classes.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public class Database : BaseDatabase, IDisposable

Visual Basic (Declaration)

    Public Class Database _
    	Inherits BaseDatabase _
    	Implements IDisposable

Visual C++

    public ref class Database : public BaseDatabase,
    	IDisposable

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.Database
BerkeleyDB..::.BTreeDatabase
BerkeleyDB..::.HashDatabase
BerkeleyDB..::.QueueDatabase
BerkeleyDB..::.RecnoDatabase

# See Also

Database Members
BerkeleyDB Namespace